# Default values for resizer.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: false
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

config:
  maxWidth: "1920"
  maxHeight: "1080"
  allowedHosts: "${ENVIRONMENT_DEPLOY_HOST}"
  forceHostsBaseUrl: ""

backend:
  replicaCount: 1

  image:
    repository: ${CI_REGISTRY_IMAGE}/backend
    pullPolicy: IfNotPresent
    # Overrides the image tag whose default is the chart appVersion.
    tag: "${GITLAB_APP_TAG}"

  podAnnotations: {}

  podSecurityContext: {}
    # fsGroup: 2000

  securityContext: {}
    # capabilities:
    #   drop:
    #   - ALL
    # readOnlyRootFilesystem: true
    # runAsNonRoot: true
    # runAsUser: 1000

  service:
    type: ClusterIP
    port: 80

  resources:
    # We usually recommend not to specify default resources and to leave this as a conscious
    # choice for the user. This also increases chances charts run on environments with little
    # resources, such as Minikube. If you do want to specify resources, uncomment the following
    # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
    requests:
      cpu: "500m"
      memory: "512Mi"
    limits:
      cpu: "4000m"
      memory: "1024Mi"

  volumes: []

  volumeMounts: []

  autoscaling:
    enabled: true
    minReplicas: 5
    maxReplicas: 10
    targetCPUUtilizationPercentage: 75
    targetMemoryUtilizationPercentage: 150

  nodeSelector: {}

  tolerations: []

  affinity: {}

  env:
  - name: TZ
    value: "Europe/Madrid"
  - name: NPROC
    value: "2"

ingress:
  enabled: true
  className: "nginx"

  config:
    tlsIssuer: "${ENVIRONMENT_TLS_ISSUER}"
    deployHosts:
    - "${ENVIRONMENT_DEPLOY_HOST}"

  annotations:
    cert-manager.io/cluster-issuer: "{{ .Values.ingress.config.tlsIssuer }}"
    nginx.ingress.kubernetes.io/force-ssl-redirect: "false"
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
